### Method

# GimpUi EnumStore set_icon_prefix

since: 2.10

#### Declaration [src]

    void
    gimp_enum_store_set_icon_prefix (
      GimpEnumStore* store,
      const gchar* icon_prefix
    )

#### Description [src]

Creates an icon name for each enum value in the `store` by appending the value’s nick to the given `icon_prefix`, separated by a hyphen.

See also: gimp_enum_combo_box_set_icon_prefix().

Available since: 2.10

#### Parameters

`icon_prefix`

  Type: `const gchar*`

  A prefix to create icon names from enum values.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.